function generate_report()
%---function to generate a readable text output---

load('MEASUREMENT\config.mat','conf');
load('MEASUREMENT\meas.mat','meas');
f = fopen('MEASUREMENT\report.txt','w');

fprintf(f,['Počet mikrofonů:' num2str(conf.mics) '\n']);
fprintf(f,['Počet měření:' num2str(conf.passes) '\n']);
fprintf(f,['Buffer: ' num2str(conf.buffer) ' vzorků\n']);
fprintf(f,['Vzorkovací kmitočet: ' num2str(conf.Fs) ' Hz\n']);
fprintf(f,['Minimální SNR pro měření: ' num2str(conf.snr_lim) '\n']);
fprintf(f,['Měřené SNR: ' num2str(conf.SNR) ' dB\n']);
fprintf(f,['Dynamická rezerva: ' num2str(conf.headroom) ' dB\n']);
fprintf(f,['Maximální počet omezení pro měření: ' num2str(conf.num_clips) ' \n']);


fprintf(f,'\nVýsledné hodnoty měření dB (SPL)\n');
for i = 1:(conf.mics*conf.passes)
fprintf(f,['Mikrofon č.' num2str(i) ': ' num2str(meas.dB(i)) '\n']);
end
fprintf(f,'\nVýsledné hodnoty měření RMS\n');
for i = 1:(conf.mics*conf.passes)
fprintf(f,['Bod č.' num2str(i) ': ' num2str(meas.RMS(i)) '\n']);
end
fprintf(f,'\nReferenční hodnoty kalibrace RMS\n');
for i = 1:conf.mics
fprintf(f,['Mikrofon č.' num2str(i) ': ' num2str(conf.calibration(i)) '\n']);
end
fprintf(f,'\nŠumové hodnoty RMS\n');
for i = 1:conf.mics
fprintf(f,['Mikrofon č.' num2str(i) ': ' num2str(conf.noise(i)) '\n']);
end

%Measuring directional characteristics of sound sources
%Made by Benjamin Nimmerrichter 2022/23 for BUT
fclose(f);